
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global package_name	    github.com/operator-framework/operator-lifecycle-manager
%global golang_version      1.15.9
%global kubectl_version     1.18.18

Name:           operator-lifecycle-manager
Version:        0.17.0
Release:        4%{?dist}
Summary:	    OLM extends Kubernetes to provide a declarative way to install, manage, and upgrade Operators and their dependencies in a cluster.
License:        Apache 2.0
Url:            https://github.com/operator-framework/operator-lifecycle-manager
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America
BuildRequires:  git
BuildRequires:  golang >= %{golang_version}
Requires:       kubectl >= %{kubectl_version}

%package testutils
Summary: Utilities for testing Operator Lifecycle Manager

%description
This project is a component of the Operator Framework, an open source toolkit to manage Kubernetes native applications, called Operators, in an effective, automated, and scalable way. Read more in the introduction blog post and learn about practical use cases at OLM-Book.

%description testutils
A set of utilities that are required for testing the Operator Lifecycle Manager

%prep
%setup -q -n %{name}-%{version}

%build
make build
make build-util
make bin/wait
mv bin/wait bin/olm-wait

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir} bin/catalog
install -p -m 755 -t %{buildroot}%{_bindir} bin/olm
install -p -m 755 -t %{buildroot}%{_bindir} bin/package-server
install -p -m 755 -t %{buildroot}%{_bindir} bin/cpb
install -p -m 755 -t %{buildroot}%{_bindir} bin/olm-wait

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/catalog
%{_bindir}/olm
%{_bindir}/package-server
%{_bindir}/cpb

%files testutils
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/olm-wait

%changelog
* Thu May 20 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 0.17.0-4
- changed golang and kubectl versions

* Fri Jan 29 2021 Daniel Krasinski <daniel.krasinski@oracle.com> - 0.17.0-3
- Include cpb binary

* Fri Jan 15 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 0.17.0-2
- Removed NOTICE file

* Tue Dec 08 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 0.17.0-1
- Added Oracle Specific Build Files for operator-lifecycle-manager.
